def remove_common_elements(a, b):
    """Removes the common elements from both supplied lists (in place), doesnt not return a new list"""
    for e in a[:]:
        if e in b:
            a.remove(e)
            b.remove(e)
